Velkomstsider
GET https://gratisqrcode.nl/api/splash-pages/
curl --request GET \
--url 'https://gratisqrcode.nl/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parametere | Detaljer | Beskrivelse |
|---|---|---|
| search | Valgfritt Streng | Søkestrengen. |
| search_by | Valgfritt Streng | Hvilket felt du søker etter. Tillatte verdier er: name. |
| datetime_field | Valgfritt Streng | Tillatte verdier: datetime, last_datetime |
| datetime_start | Valgfritt Streng | Filtrer resultater fra og med dette tidspunktet. Format Y-m-d H:i:s. |
| datetime_end | Valgfritt Streng | Filtrer resultater til og med dette tidspunktet. Format Y-m-d H:i:s. |
| order_by | Valgfritt Streng | Hvilket felt resultatene skal sorteres etter. Tillatte verdier er: splash_page_id, datetime, last_datetime, name. |
| order_type | Valgfritt Streng | Sorteringsrekkefølgen for resultatene. Tillatte verdier er: ASC for stigende sortering, og DESC for synkende sortering. |
| page | Valgfritt Heltall | Sidenummeret du vil ha resultater fra. Standard er 1. |
| results_per_page | Valgfritt Heltall | Hvor mange resultater du vil ha per side. Tillatte verdier er: 10, 25, 50, 100, 250, 500, 1000. Standard er 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-08-19 12:30:16",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://gratisqrcode.nl/api/projects?page=1",
"last": "https://gratisqrcode.nl/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://gratisqrcode.nl/api/projects?page=1"
}
}
GET https://gratisqrcode.nl/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://gratisqrcode.nl/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-08-19 12:30:16",
}
}
POST https://gratisqrcode.nl/api/projects
| Parametere | Detaljer | Beskrivelse |
|---|---|---|
| name | Påkrevd Streng | - |
| title | Valgfritt Streng | - |
| logo | Valgfritt Fil | - |
| favicon | Valgfritt Fil | - |
| opengraph | Valgfritt Fil | - |
| description | Valgfritt Streng | - |
| secondary_button_name | Valgfritt Streng | - |
| secondary_button_url | Valgfritt Streng | - |
| custom_css | Valgfritt Streng | - |
| custom_js | Valgfritt Streng | - |
| ads_header | Valgfritt Streng | - |
| ads_footer | Valgfritt Streng | - |
| link_unlock_seconds | Valgfritt Heltall | - |
| auto_redirect | Valgfritt Boolsk | - |
curl --request POST \
--url 'https://gratisqrcode.nl/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://gratisqrcode.nl/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://gratisqrcode.nl/api/splash-pages/{splash_page_id}
| Parametere | Detaljer | Beskrivelse |
|---|---|---|
| name | Valgfritt Streng | - |
| title | Valgfritt Streng | - |
| logo | Valgfritt Fil | - |
| favicon | Valgfritt Fil | - |
| opengraph | Valgfritt Fil | - |
| description | Valgfritt Streng | - |
| secondary_button_name | Valgfritt Streng | - |
| secondary_button_url | Valgfritt Streng | - |
| custom_css | Valgfritt Streng | - |
| custom_js | Valgfritt Streng | - |
| ads_header | Valgfritt Streng | - |
| ads_footer | Valgfritt Streng | - |
| link_unlock_seconds | Valgfritt Heltall | - |
| auto_redirect | Valgfritt Boolsk | - |
curl --request POST \
--url 'https://gratisqrcode.nl/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://gratisqrcode.nl/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://gratisqrcode.nl/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://gratisqrcode.nl/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \